//------------------------------------------------------------------------------
//------------------------------------------------------------------------------
// Weather Types
//------------------------------------------------------------------------------
// Affliction Weather Types:
//------------------------------------------------------------------------------

function AfflictionClear() {
    Warn("Initiating Affliction weather type: Clear Weather.");
    Sky.Stormfog(1,1);
    Wind.delete();
    MeteorStormI.delete();
    MeteorStormII.delete();
    new AudioEmitter(Wind)
        {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
	    fileName = "fx/environment/drywind2.wav";
	    useProfileDescription = "0";
	    outsideAmbient = "1";
	    volume = "1";
	    isLooping = "1";
	    is3D = "1";
	    minDistance = "10000";
	    maxDistance = "10000";
	    coneInsideAngle = "360";
	    coneOutsideAngle = "360";
	    coneOutsideVolume = "1";
	    coneVector = "0 0 1";
	    loopCount = "-1";
	    minLoopGap = "0";
	    maxLoopGap = "0";
	    type = "EffectAudioType";

        locked = "1";
    };
    new FireballAtmosphere(MeteorStormI) {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
        dataBlock = "fireball";
	    lockCount = "0";
        homingCount = "0";
	    dropRadius = "800";
        dropsPerMinute = "0";
	    minDropAngle = "0";
	    maxDropAngle = "10";
        startVelocity = "500";
	    dropHeight = "2000";
	    dropDir = "0.212 0.212 -0.953998";
     };
     new FireballAtmosphere(MeteorStormII) {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
        dataBlock = "fireball";
	    lockCount = "0";
        homingCount = "0";
	    dropRadius = "800";
        dropsPerMinute = "0";
	    minDropAngle = "0";
	    maxDropAngle = "10";
        startVelocity = "500";
	    dropHeight = "2000";
	    dropDir = "0.212 -0.212 -0.953998";
     };
}

function LightAfflictionSandStorm() {
    Warn("Initiating Affliction weather type: Light Sandstorm.");
    Sky.StormFog(2,1);
    Wind.delete();
    MeteorStormI.delete();
    MeteorStormII.delete();
    new AudioEmitter(Wind)
        {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
	    fileName = "fx/environment/howlingwind1.wav";
	    useProfileDescription = "0";
	    outsideAmbient = "1";
	    volume = "1";
	    isLooping = "1";
	    is3D = "1";
	    minDistance = "10000";
	    maxDistance = "10000";
	    coneInsideAngle = "360";
	    coneOutsideAngle = "360";
	    coneOutsideVolume = "1";
	    coneVector = "0 0 1";
	    loopCount = "-1";
	    minLoopGap = "0";
	    maxLoopGap = "0";
	    type = "EffectAudioType";

        locked = "1";
    };
    new FireballAtmosphere(MeteorStormI) {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
        dataBlock = "fireball";
	    lockCount = "0";
        homingCount = "0";
	    dropRadius = "800";
        dropsPerMinute = "5";
	    minDropAngle = "0";
	    maxDropAngle = "10";
        startVelocity = "500";
	    dropHeight = "2000";
	    dropDir = "0.212 0.212 -0.953998";
     };
     new FireballAtmosphere(MeteorStormII) {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
        dataBlock = "fireball";
	    lockCount = "0";
        homingCount = "0";
	    dropRadius = "800";
        dropsPerMinute = "5";
	    minDropAngle = "0";
	    maxDropAngle = "10";
        startVelocity = "500";
	    dropHeight = "2000";
	    dropDir = "0.212 -0.212 -0.953998";
     };
}

function MediumAfflictionSandStorm() {
    Warn("Initiating Affliction weather type: Medium Sandstorm.");
    Sky.StormFog(4,1);
    Wind.delete();
    MeteorStormI.delete();
    MeteorStormII.delete();
    new AudioEmitter(Wind)
        {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
	    fileName = "fx/environment/howlingwind3.wav";
	    useProfileDescription = "0";
	    outsideAmbient = "1";
	    volume = "1";
	    isLooping = "1";
	    is3D = "1";
	    minDistance = "10000";
	    maxDistance = "10000";
	    coneInsideAngle = "360";
	    coneOutsideAngle = "360";
	    coneOutsideVolume = "1";
	    coneVector = "0 0 1";
	    loopCount = "-1";
	    minLoopGap = "0";
	    maxLoopGap = "0";
	    type = "EffectAudioType";

        locked = "1";
    };
    new FireballAtmosphere(MeteorStormI) {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
        dataBlock = "fireball";
	    lockCount = "0";
        homingCount = "0";
	    dropRadius = "800";
        dropsPerMinute = "5";
	    minDropAngle = "0";
	    maxDropAngle = "10";
        startVelocity = "500";
	    dropHeight = "2000";
	    dropDir = "0.212 0.212 -0.953998";
     };
     new FireballAtmosphere(MeteorStormII) {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
        dataBlock = "fireball";
	    lockCount = "0";
        homingCount = "0";
	    dropRadius = "800";
        dropsPerMinute = "5";
	    minDropAngle = "0";
	    maxDropAngle = "10";
        startVelocity = "500";
	    dropHeight = "2000";
	    dropDir = "0.212 -0.212 -0.953998";
     };
}

function HeavyAfflictionSandStorm() {
    Warn("Initiating Affliction weather type: Heavy Sandstorm.");
    Sky.StormFog(10,1);
    Wind.delete();
    MeteorStormI.delete();
    MeteorStormII.delete();
    new AudioEmitter(Wind)
        {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
	    fileName = "fx/environment/sandstorm.wav";
	    useProfileDescription = "0";
	    outsideAmbient = "1";
	    volume = "1";
	    isLooping = "1";
	    is3D = "1";
	    minDistance = "10000";
	    maxDistance = "10000";
	    coneInsideAngle = "360";
	    coneOutsideAngle = "360";
	    coneOutsideVolume = "1";
	    coneVector = "0 0 1";
	    loopCount = "-1";
	    minLoopGap = "0";
	    maxLoopGap = "0";
	    type = "EffectAudioType";

        locked = "1";
    };
    new FireballAtmosphere(MeteorStormI) {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
        dataBlock = "fireball";
	    lockCount = "0";
        homingCount = "0";
	    dropRadius = "800";
        dropsPerMinute = "5";
	    minDropAngle = "0";
	    maxDropAngle = "10";
        startVelocity = "500";
	    dropHeight = "2000";
	    dropDir = "0.212 0.212 -0.953998";
     };
     new FireballAtmosphere(MeteorStormII) {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
        dataBlock = "fireball";
	    lockCount = "0";
        homingCount = "0";
	    dropRadius = "800";
        dropsPerMinute = "5";
	    minDropAngle = "0";
	    maxDropAngle = "10";
        startVelocity = "500";
	    dropHeight = "2000";
	    dropDir = "0.212 -0.212 -0.953998";
     };
}

function AfflictionMeteorStorm() {
    Warn("Initiating Affliction weather type: Heavy Meteor Shower.");
    Sky.Stormfog(1,1);
    Wind.delete();
    MeteorStormI.delete();
    MeteorStormII.delete();
    new AudioEmitter(Wind)
        {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
	    fileName = "fx/environment/drywind2.wav";
	    useProfileDescription = "0";
	    outsideAmbient = "1";
	    volume = "1";
	    isLooping = "1";
	    is3D = "1";
	    minDistance = "10000";
	    maxDistance = "10000";
	    coneInsideAngle = "360";
	    coneOutsideAngle = "360";
	    coneOutsideVolume = "1";
	    coneVector = "0 0 1";
	    loopCount = "-1";
	    minLoopGap = "0";
	    maxLoopGap = "0";
	    type = "EffectAudioType";

        locked = "1";
    };
    new FireballAtmosphere(MeteorStormI) {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
        dataBlock = "fireball";
	    lockCount = "0";
        homingCount = "0";
	    dropRadius = "800";
        dropsPerMinute = "45";
	    minDropAngle = "0";
	    maxDropAngle = "10";
        startVelocity = "500";
	    dropHeight = "2000";
	    dropDir = "0.212 0.212 -0.953998";
     };
     new FireballAtmosphere(MeteorStormII) {
	    position = "0 0 0";
	    rotation = "1 0 0 0";
	    scale = "1 1 1";
        dataBlock = "fireball";
	    lockCount = "0";
        homingCount = "0";
	    dropRadius = "800";
        dropsPerMinute = "45";
	    minDropAngle = "0";
	    maxDropAngle = "10";
        startVelocity = "500";
	    dropHeight = "2000";
	    dropDir = "0.212 -0.212 -0.953998";

    };
}
